Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
SceneGraphExplorer Class Reference
Inheritance diagram for SceneGraphExplorer:

## Public Member Functions
| __init__ (self, parent=None, nodePath=None, isItemEditable=True, **kw)
| mouse2Down (self, event)
| mouse2Motion (self, event)
| onDestroy (self, event)
| setChildrenTag (self, tag, fModeChildrenTag)
| setFSortChildren (self, fSortChildren)
| update (self, fUseCachedChildren=1)
| updateSelection (self, searchKey)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| mouse2Down = BOTH)
| mouse2Motion
| nodePath = nodePath
| onDestroy = self._scrolledCanvas:

## Protected Attributes
| _2lx = event.x
| _2ly = event.y
| _canvas = self._scrolledCanvas.component('canvas')
| _dxview = xview[1] - xview[0]
| _dyview = yview[1] - yview[0]
float | _height = 1.0 * self._canvas.winfo_height()
| _label
| _left = xview[0]
| _node
| _parentFrame = Frame(interior)
| _scrolledCanvas
| _top = yview[0]
| _treeItem = SceneGraphExplorerItem(self.nodePath, isItemEditable)
float | _width = 1.0 * self._canvas.winfo_width()
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  |  | nodePath = None,
|  |  | isItemEditable = True,
|  | ** | kw )

## Member Function Documentation

## ◆ mouse2Down()

mouse2Down | ( |  | self,
|  |  | event )

## ◆ mouse2Motion()

mouse2Motion | ( |  | self,
|  |  | event )

## ◆ onDestroy()

onDestroy | ( |  | self,
|  |  | event )

## ◆ setChildrenTag()

setChildrenTag | ( |  | self,
|  |  | tag,
|  |  | fModeChildrenTag )

## ◆ setFSortChildren()

setFSortChildren | ( |  | self,
|  |  | fSortChildren )

## ◆ update()

update | ( |  | self,
|  |  | fUseCachedChildren = 1 )

     Refresh scene graph explorer

## ◆ updateSelection()

updateSelection | ( |  | self,
|  |  | searchKey )

## Member Data Documentation

## ◆ _2lx

_2lx = event.x
| protected

## ◆ _2ly

_2ly = event.y
| protected

## ◆ _canvas

_canvas = self._scrolledCanvas.component('canvas')
| protected

## ◆ _dxview

_dxview = xview[1] - xview[0]
| protected

## ◆ _dyview

_dyview = yview[1] - yview[0]
| protected

## ◆ _height

float _height = 1.0 * self._canvas.winfo_height()
| protected

## ◆ _label

_label
| protected

Initial value:
= self.createcomponent(
'parentLabel',
(), None,
Label, (interior,),
text = 'Active Reparent Target: ',
anchor = W, justify = LEFT)

## ◆ _left

_left = xview[0]
| protected

## ◆ _node

_node
| protected

Initial value:
= TreeNode(self._canvas, None, self._treeItem,
DEFAULT_MENU_ITEMS + self['menuItems'])

## ◆ _parentFrame

_parentFrame = Frame(interior)
| protected

## ◆ _scrolledCanvas

_scrolledCanvas
| protected

Initial value:
= self.createcomponent(
'scrolledCanvas',
(), None,
Pmw.ScrolledCanvas, (interior,),
hull_width = 200, hull_height = 300,
usehullsize = 1)

## ◆ _top

_top = yview[0]
| protected

## ◆ _treeItem

_treeItem = SceneGraphExplorerItem(self.nodePath, isItemEditable)
| protected

## ◆ _width

float _width = 1.0 * self._canvas.winfo_width()
| protected

## ◆ mouse2Down

mouse2Down = BOTH)

## ◆ mouse2Motion

mouse2Motion

## ◆ nodePath

nodePath = nodePath

## ◆ onDestroy

onDestroy = self._scrolledCanvas: